pro plot_iuefit,ebv

cols=getcolor(/load)

readcol,'j0825_merged.dat.fit',w,f_obs,s_obs,f_fit,skipline=3
fm_unred,w,f_obs,ebv,f_obs
fm_unred,w,f_fit,ebv,f_fit

sp2rd,'../h80he20xxx/t450g600xxx.s',w_t450,f_t450,h_t450
sp2rd,'../h80he20xxx/t420g600xxx.s',w_t420,f_t420,h_t420
sp2rd,'../h80he20xxx/t400g600xxx.s',w_t400,f_t400,h_t400
sp2rd,'../h80he20xxx/t380g600xxx.s',w_t380,f_t380,h_t380
sp2rd,'../h80he20xxx/t360g600xxx.s',w_t360,f_t360,h_t360
sp2rd,'../h80he20xxx/t340g600xxx.s',w_t340,f_t340,h_t340
sp2rd,'../h70he30p00/t320g600p00.s',w_t320,f_t320,h_t320
sp2rd,'../h70he30p00/t320g600p00.s',w_t300,f_t300,h_t300

v_fit = where (5400 LT w AND w LT 5600)
v_mod = where (5400 LT w_t450 AND w_t450 LT 5600)

v_fit = where (2500 LT w AND w LT 3000)
v_mod = where (2500 LT w_t450 AND w_t450 LT 3000)

th_450=sqrt(mean(f_fit(v_fit))/(mean(f_t450(v_mod))*!pi))
th_420=sqrt(mean(f_fit(v_fit))/(mean(f_t420(v_mod))*!pi))
th_400=sqrt(mean(f_fit(v_fit))/(mean(f_t400(v_mod))*!pi))
th_380=sqrt(mean(f_fit(v_fit))/(mean(f_t380(v_mod))*!pi))
th_360=sqrt(mean(f_fit(v_fit))/(mean(f_t360(v_mod))*!pi))
th_340=sqrt(mean(f_fit(v_fit))/(mean(f_t340(v_mod))*!pi))
th_320=sqrt(mean(f_fit(v_fit))/(mean(f_t320(v_mod))*!pi))
th_300=sqrt(mean(f_fit(v_fit))/(mean(f_t300(v_mod))*!pi))

f_valid=where(f_obs GT 0)

wlog=alog10(w(f_valid))
flog=alog10(f_obs(f_valid))
xlog=alog10(f_fit(f_valid))


w_iue = wlog (where (wlog LT alog10(3340.)))
f_iue = flog (where (wlog LT alog10(3340)))
w_phot = wlog (where (wlog GT alog10(3360.)))
f_phot = flog (where (wlog GT alog10(3360.)))
;; s_phot = 

!x.title='log !4k!3 / '+string("305B)
!y.title='log F!B!4k!3!N / erg s!U-1!N cm!U-2!N '+string("305B)+'!U-1!N'

!x.range = [3.05,3.55]
!y.range = [-13.0,-10.0]
!y.style = 1
!x.style = 1

plot,w_iue,f_iue,psym=10,position=[0.08,0.11,0.99,0.99]
oplot,w_iue,f_iue-0.4,psym=10
oplot,w_iue,f_iue+0.4,psym=10
oplot,w_phot,f_phot,psym=4

f_t450=qsmooth(w_t450,f_t450,2.5)
oplot,alog10(w_t450),alog10(!pi*f_t450*th_450^2)+0.4,color=cols.navy
;oplot,alog10(w_t420),alog10(!pi*f_t420*th_420^2),color=cols.blue
;oplot,alog10(w_t400),alog10(!pi*f_t400*th_400^2),color=cols.cyan
;oplot,alog10(w_t380),alog10(!pi*f_t380*th_380^2),color=cols.gray
;oplot,alog10(w_t360),alog10(!pi*f_t360*th_360^2),color=cols.olive
;oplot,alog10(w_t340),alog10(!pi*f_t340*th_340^2),color=cols.green
;oplot,alog10(w_t320),alog10(!pi*f_t320*th_320^2),color=cols.green
f_t300=qsmooth(w_t300,f_t300,2.5)
oplot,alog10(w_t300),alog10(!pi*f_t300*th_300^2)-0.4,color=cols.olive
oplot,w_iue,f_iue-0.4,thick=2,psym=10
oplot,w_iue,f_iue,thick=2,psym=10
oplot,w_iue,f_iue+0.4,thick=2,psym=10

oplot,w_phot,f_phot,psym=4,thick=2
oplot,wlog,xlog,color=cols.red,thick=2


!x.title=' '
!y.title=' '
!x.range = [2.5,4.5]
!y.range = [-16,-10]
!y.style = 1
!x.style = 1

plot,w_iue,f_iue,position=[0.65,0.65,0.95,0.95],/noerase,yminor=2,xstyle=1,psym=10
oplot,w_phot,f_phot,psym=4
oplot,wlog,xlog,color=cols.red

oplot,alog10(w_t450),alog10(!pi*f_t450*th_450^2),color=cols.navy
;oplot,alog10(w_t420),alog10(!pi*f_t420*th_420^2),color=cols.blue
;oplot,alog10(w_t400),alog10(!pi*f_t400*th_400^2),color=cols.cyan
;oplot,alog10(w_t380),alog10(!pi*f_t380*th_380^2),color=cols.gray
;oplot,alog10(w_t360),alog10(!pi*f_t360*th_360^2),color=cols.olive
;oplot,alog10(w_t340),alog10(!pi*f_t340*th_340^2),color=cols.green
;oplot,alog10(w_t320),alog10(!pi*f_t320*th_320^2),color=cols.green
oplot,alog10(w_t300),alog10(!pi*f_t300*th_300^2),color=cols.olive
oplot,w_iue,f_iue,thick=2,psym=10
oplot,w_phot,f_phot,psym=4,thick=2
oplot,wlog,xlog,color=cols.red,thick=2

end
